## com.bbn.openmap.layer
Class DeclutterMatrix.PositionParameters

    java.lang.Object
      com.bbn.openmap.layer.DeclutterMatrix.PositionParameters

Enclosing class:
  DeclutterMatrix

public static class DeclutterMatrix.PositionParameters
extends java.lang.Object

This Denotes the parameters of one of the 8 possible positions around a decluttermatrix tile.

Field Summary
`int` `direction`
`int` `ewindex`
`int` `nsindex`
`int` `position`

Constructor Summary
`DeclutterMatrix.PositionParameters(int pos, int ewindx, int nsindx, int direc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### position

    public int position

### ewindex

    public int ewindex

### nsindex

    public int nsindex

### direction

    public int direction

Constructor Detail

### DeclutterMatrix.PositionParameters

    public DeclutterMatrix.PositionParameters(int pos,
                                              int ewindx,
                                              int nsindx,
                                              int direc)

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details